org.jbpm.kie.services.impl.bpmn2

## Class ProcessDescriptor

- java.lang.Object
- - org.jbpm.kie.services.impl.bpmn2.ProcessDescriptor

- All Implemented Interfaces:
    Serializable

      public class ProcessDescriptor
      extends Object
      implements Serializable

  This is a package level class that is used by different BPMN2 handlers ( in this package) to store information about a BPMN2 process.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessDescriptor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addReusableSubProcessName(String processName)`
    `void` | `clear()`
    `ProcessDescriptor` | `clone()`
    `Map<String,String>` | `getGlobalItemDefinitions()`
    `Collection<String>` | `getGlobals()`
    `Map<String,String>` | `getInputs()`
    `Set<String>` | `getInputTags(String name)`
    `Map<String,String>` | `getItemDefinitions()`
    `Collection<MessageDesc>` | `getMessages()`
    `Set<NodeDesc>` | `getNodes()`
    `ProcessAssetDesc` | `getProcess()`
    `Set<String>` | `getReferencedClasses()`
    `Set<String>` | `getReferencedRules()`
    `Collection<String>` | `getReusableSubProcesses()`
    `Map<String,String>` | `getServiceTasks()`
    `Collection<String>` | `getSignals()`
    `Collection<SignalDesc>` | `getSignalsDesc()`
    `Map<String,Collection<String>>` | `getTaskAssignments()`
    `Map<String,Map<String,String>>` | `getTaskInputMappings()`
    `Map<String,Map<String,String>>` | `getTaskOutputMappings()`
    `Map<String,UserTaskDefinition>` | `getTasks()`
    `Set<TimerDesc>` | `getTimers()`
    `Set<String>` | `getUnqualifiedClasses()`
    `boolean` | `hasUnresolvedReusableSubProcessNames()`
    `void` | `resolveReusableSubProcessNames(Collection<org.kie.api.definition.process.Process> deploymentProcesses)`
    `void` | `setGlobals(Collection<String> globals)`
    `void` | `setMessages(Collection<MessageDesc> messages)`
    `void` | `setProcess(ProcessAssetDesc process)`
    `void` | `setSignals(Collection<String> signals)`
    `void` | `setSignalsDesc(Collection<SignalDesc> signalsDesc)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessDescriptor

          public ProcessDescriptor()

  - ### Method Detail

    - #### setProcess

          public void setProcess(ProcessAssetDesc process)

    - #### hasUnresolvedReusableSubProcessNames

          public boolean hasUnresolvedReusableSubProcessNames()

    - #### resolveReusableSubProcessNames

          public void resolveReusableSubProcessNames(Collection<org.kie.api.definition.process.Process> deploymentProcesses)

    - #### getProcess

          public ProcessAssetDesc getProcess()

    - #### getTasks

          public Map<String,UserTaskDefinition> getTasks()

    - #### getTaskInputMappings

          public Map<String,Map<String,String>> getTaskInputMappings()

    - #### getTaskOutputMappings

          public Map<String,Map<String,String>> getTaskOutputMappings()

    - #### getInputs

          public Map<String,String> getInputs()

    - #### getInputTags

          public Set<String> getInputTags(String name)

    - #### getTaskAssignments

          public Map<String,Collection<String>> getTaskAssignments()

    - #### getItemDefinitions

          public Map<String,String> getItemDefinitions()

    - #### getServiceTasks

          public Map<String,String> getServiceTasks()

    - #### getGlobalItemDefinitions

          public Map<String,String> getGlobalItemDefinitions()

    - #### getReusableSubProcesses

          public Collection<String> getReusableSubProcesses()

    - #### addReusableSubProcessName

          public void addReusableSubProcessName(String processName)

    - #### getReferencedClasses

          public Set<String> getReferencedClasses()

    - #### getUnqualifiedClasses

          public Set<String> getUnqualifiedClasses()

    - #### getReferencedRules

          public Set<String> getReferencedRules()

    - #### getSignals

          public Collection<String> getSignals()

    - #### setSignals

          public void setSignals(Collection<String> signals)

    - #### getSignalsDesc

          public Collection<SignalDesc> getSignalsDesc()

    - #### setSignalsDesc

          public void setSignalsDesc(Collection<SignalDesc> signalsDesc)

    - #### getMessages

          public Collection<MessageDesc> getMessages()

    - #### setMessages

          public void setMessages(Collection<MessageDesc> messages)

    - #### getGlobals

          public Collection<String> getGlobals()

    - #### setGlobals

          public void setGlobals(Collection<String> globals)

    - #### getNodes

          public Set<NodeDesc> getNodes()

    - #### getTimers

          public Set<TimerDesc> getTimers()

    - #### clear

          public void clear()

    - #### clone

          public ProcessDescriptor clone()

      Overrides:
        `clone` in class `Object`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.